package com.framsticks.net.client3D.graphics.loaders;

import java.util.ArrayList;

import pl.vorg.mowa.core.graphics.Vec2;
import pl.vorg.mowa.core.graphics.Vec3;

/**
 * Siatka 3d.
 * 
 * @author vorg
 *
 */
public class OBJMesh {
	private String name;	
	private ArrayList<OBJFace> faces = new ArrayList<OBJFace>();
	private ArrayList<Vec3> normals = new ArrayList<Vec3>();
	private ArrayList<Vec2> texCoords = new ArrayList<Vec2>();
	private ArrayList<Vec3> vertices = new ArrayList<Vec3>();
	
	public ArrayList<OBJFace> getFaces() {
		return faces;
	}
	public void setFaces(ArrayList<OBJFace> faces) {
		this.faces = faces;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public ArrayList<Vec3> getNormals() {
		return normals;
	}
	public void setNormals(ArrayList<Vec3> normals) {
		this.normals = normals;
	}
	public ArrayList<Vec2> getTexCoords() {
		return texCoords;
	}
	public void setTexCoords(ArrayList<Vec2> texCoords) {
		this.texCoords = texCoords;
	}
	public ArrayList<Vec3> getVertices() {
		return vertices;
	}
	public void setVertices(ArrayList<Vec3> vertices) {
		this.vertices = vertices;
	}
	
}
